                 4. INSTRUCTION CARDS                                           
                 --------------------                                           
                                                                                
                                                                                
                 THESE  SUPPLY  THE  PROGRAMS  WITH  INFORMATION  ABOUT         
         SYMMETRY, SCATTERING  FACTORS,  UNIT-CELL  DIMENSIONS,  ATOMIC         
         POSITIONS ETC.,  AND  DEFINE  WHICH  CALCULATIONS  ARE  TO  BE         
         CARRIED OUT.                                                           
                                                                                
                 THE FIRST FOUR CHARACTERS ON A CARD  DEFINE  THE  TYPE         
         OF INSTRUCTION - IF THE PROGRAM DOES NOT  RECOGNISE  THEM,  IT         
         ASSUMES THAT THE CARD IS AN 'ATOM CARD'.    THE  REMAINING  76         
         COLUMNS  ARE  USED  TO  CONVEY  NUMERICAL  INFORMATION.    THE         
         CHARACTERS '0' TO '9', '-' AND '.' ARE ASSUMED TO BE  PART  OF         
         A NUMBER.  ANY OTHER CHARACTER(S) EXCEPT '=' MAY  BE  USED  TO         
         SEPARATE TWO NUMBERS.  THUS THE CARDS:                                 
                                                                                
         CELL 0.7107 7.64 8.39 13.00    90.0 103.7 90.0                         
         CELL (.7107) A 7.64,  B 8.39, C 13, ALPHA90BETA103.7GAMMA90            
                                                                                
         ARE  EXACTLY  EQUIVALENT.    TO  CONTINUE  THE  LINE  ON   THE         
         FOLLOWING CARD, PUT THE SYMBOL '=' AT THE END OF THE  DATA  ON         
         THE CURRENT CARD, AND  BEGIN  THE  FOLLOWING  CARD  WITH  FOUR         
         SPACES.  A CARD WHICH BEGINS WITH FOUR SPACES  AND  IS  NOT  A         
         CONTINUATION CARD IS IGNORED,  AND  MAY  BE  USED  TO  INCLUDE         
         COMMENTS IN THE DECK.  NOTE THAT IF AN EXPECTED NUMBER IS  NOT         
         FOUND,  IT  WILL  EITHER  BE  GIVEN  A  DEFAULT  SETTING  (NOT         
         NECESSARILY ZERO), OR IF THERE IS NO DEFAULT SETTING, IT  WILL         
         BE TREATED AS AN ERROR.  '*' DENOTES CARDS WHICH, IF  PRESENT,         
         MUST APPEAR IN THE ORDER GIVEN BELOW.  ALL OTHER CARDS MAY  BE         
         GIVEN IN ANY  ORDER,  EXCEPT  THAT  THE  FIRST  CARD  MUST  BE         
         'TITL', AND THE LAST 'END'.  THE  'CELL',  'SFAC'  AND  'UNIT'         
         CARDS ARE ALSO OBLIGATORY.                                             
                                                                                
                                                                                
                                                                                
   * TITL                                                                       
   ------                                                                       
                                                                                
                 FOLLOWED BY A TITLE OF UP TO 40 CHARACTERS.                    
                                                                                
                                                                                
                                                                                
   * CELL LAMBDA, A, B, C, ALPHA, BETA, GAMMA                                   
   ------------------------------------------                                   
                                                                                
                 IN ANGSTROMS AND DEGREES.                                      
                                                                                
   * LATT N                                                                     
   --------                                                                     
                                                                                
                     SETS  LATTICE  TYPE,  SHOULD  BE  NEGATIVE  FOR  A         
         NON-CENTROSYMMETRIC STRUCTURE.  PERMITTED  LATTICE  TYPES  ARE         
         P(N=1), I(2), R(3), F(4), A(5), B(6), AND C(7).   THE  DEFAULT         
         SETTING  IS  'LATT  1'.    RHOMBOHEDRAL  LATTICES  INDEXED  ON         
         HEXAGONAL AXES  (N=3)  MUST  BE  GIVEN  AS  THE  OBVERSE  CELL         
         (-H+K+L=3N).  RHOMBOHEDRAL R ON RHOMBOHEDRAL AXES HAS N=1.             
                                                                                
                                                                                
                                                                                
   * SYMM                                                                       
   ------                                                                       
                                                                                
                  SYMMETRY  INFORMATION  IS  SPECIFIED  BY  GIVING  THE         
         COORDINATES OF THE GENERAL POSITION, SPECIFIED ON  SYMM  CARDS         
         USING THE SYMBOLS:                                                     
                                                                                
         '0' TO '9', 'X', 'Y', 'Z', ',', '.', '+' AND '-'                       
                                                                                
         NOTE THAT '.' INDICATES A DECIMAL POINT, AND MAY NOT  BE  USED         
         IN PLACE OF A COMMA, WHICH MUST BE USED TO SEPARATE THE  THREE         
         COORDINATES.  OTHER CHARACTERS  ARE  ENTIRELY  IGNORED.    THE         
         CARD:                                                                  
                                                                                
         SYMM X, Y, Z                                                           
                                                                                
         IS  ALWAYS  ASSUMED  AND  SHOULD  NOT  BE  GIVEN.    POSITIONS         
         GENERATED BY A CENTRED LATTICE OR A CENTRE OF SYMMETRY  SHOULD         
         ALSO BE OMITTED, SINCE THIS INFORMATION IS GIVEN ON  A  'LATT'         
         CARD.   FOR  EXAMPLE,  THE  SPACE  GROUP  I4(1)  (NO.  80)  IS         
         REPRESENTED BY THE FOLLOWING CARDS:                                    
                                                                                
         LATT -2                                                                
         SYMM -X, -Y, Z                                                         
         SYMM -Y, 0.5+X, 0.25+Z                                                 
         SYMM Y, 0.5-X, 0.25+Z                                                  
                                                                                
         IF THE STRUCTURE IS CENTROSYMMETRIC, THE SYMM  CARDS  MUST  BE         
         CHOSEN SO THAT THE ORIGIN IS AT A CENTRE OF SYMMETRY.                  
                                                                                
                                                                                
                                                                                
   * SFAC ELEMENTS                                                              
   ---------------                                                              
                                                                                
                 E.G.  SFAC C H N O                                             
                                                                                
         SETS UP COMPLEX NEUTRAL ATOM  SCATTERING  FACTORS  FOR  COMMON         
         ELEMENTS, I.E. H, B, C, N, O, F, SI, P, S, CL, BR OR  SN  (FOR         
         CU-KALPHA OR MO-KALPHA RADIATION ONLY).  THE SYMBOLS  MUST  BE         
         SEPARATED BY ONE OR MORE SPACES - NO OTHER SYMBOLS MAY  APPEAR         
         ON THIS CARD.  THE SCATTERING FACTORS HAVE BEEN TAKEN FROM:            
                                                                                
         ACTA CRYST., A24 (1968) 321 (B TO CL)                                  
         ACTA CRYST., A24 (1968) 390  (BR AND SN)                               
         J. CHEM. PHYS., 53 (1970) 1891  (DF', DF'' AND MU)                     
         D.T. CROMER, PRIVATE COMMUNICATION   (EXPONENTIAL  SERIES  FOR         
         SPHERICAL BONDED HYDROGEN  ATOM  GIVEN  BY  R.F.  STEWART,  J.         
         CHEM. PHYS., 42 (1965) 3175).                                          
                                                                                
                 MOST OF THESE ARE ALSO GIVEN IN INTERNATIONAL  TABLES,         
         VOL. 4, PAGES 99 AND 149.   OTHER SCATTERING  FACTORS  MAY  BE         
         SET UP AS FOLLOWS - ANY NUMBER OF EITHER TYPE OF  'SFAC'  CARD         
         MAY BE GIVEN IN ANY ORDER.                                             
                                                                                
                                                                                
                                                                                
   * SFAC A1,B1,A2,B2,A3,B3,A4,B4,C,DF',DF'',MU,R                               
   ----------------------------------------------                               
                                                                                
                 THE REAL PART OF THE SCATTERING FACTOR IS GIVEN BY:            
                                                                                
         A1*EXP(-B1*S*S) + ... + A4*EXP(-B4*S*S) + C + DF'                      
                                                                                
         WHERE S = (SIN THETA)/LAMBDA.  DF'' IS THE IMAGINARY PART,  MU         
         IS  THE  ATOMIC  ABSORPTION    COEFFICIENT    IN    RECIPROCAL         
         CENTIMETERS,  AND  R  IS  THE  COVALENT  RADIUS    (USED    IN         
         CONJUNCTION WITH THE 'BOND' CARD).  DEFAULT RADII ARE H  0.33,         
         B 0.70, C 0.75, N 0.70, O 0.67, F 0.65, SI  1.05,  P  1.05,  S         
         1.1, CL 1.1, BR 1.2, AND  SN  1.45.    TO  OBTAIN  MU  IN  THE         
         CORRECT UNITS FROM THE VALUES OF MU/RHO TABULATED IN J.  CHEM.         
         PHYS., 53 (1970) 1891, MULTIPLY BY ATOMIC  WEIGHT  (CARBON  12         
         SCALE), AND THEN BY 1.66043.                                           
                                                                                
                 NEUTRON SCATTERING LENGTHS SHOULD BE GIVEN AS C,  WITH         
         A1...B4, DF'  AND  DF''  SET  TO  ZERO.    IT  IS  EFFECTIVELY         
         POSSIBLE TO REFINE  NEUTRON  SCATTERING  FACTORS  BY  REFINING         
         SITE OCCUPATION FACTORS TIED TOGETHER USING 'FREE VARIABLES'.          
                                                                                
                                                                                
                                                                                
   * UNIT  N1, N2, N3, N4 ...                                                   
   -----------------------------------                                          
                                                                                
                 WHERE N ARE THE NUMBER OF ATOMS OF EACH  TYPE  IN  THE         
         UNIT CELL IN THE SAME ORDER AS THE SFAC CARDS.  AFTER  READING         
         THIS CARD, THE PROGRAM PRINTS CELL VOLUME, F(000)  AND  LINEAR         
         ABSORPTION COEFFICIENT IN RECIPROCAL CENTIMETERS.                      
                                                                                
   * AXIS U, V, W                                                               
   --------------                                                               
                                                                                
                 OSCILLATION AXIS (E.G.  0  1  0)  FOR  DATA  REDUCTION         
         ASSUMING EQUI-INCLINATION WEISSENBERG GEOMETRY.                        
                                                                                
                                                                                
                                                                                
   * ABSC P, MU                                                                 
   ------------                                                                 
                                                                                
                 APPLY NUMERICAL  ABSORPTION  CORRECTIONS  FOR  CRYSTAL         
         DEFINED BY FACE CARDS WHICH MUST BE  GIVEN  BETWEEN  ABSC  AND         
         HKLF;  ABSC  CANCELS  EXISTING  FACE  CARDS.    P  =  ABSOLUTE         
         PERCENTAGE PRECISION REQUIRED (DEFAULT 0.5).  A LOW  VALUE  OF         
         PESSIMISTICALLY: THE RESULTING RELATIVE PRECISION  WILL  OFTEN         
         BE MUCH BETTER THAN P.   THE  GRID  POINTS  ARE  CHOSEN  IN  A         
         FLEXIBLE MANNER TO OPTIMISE THE  TIME  REQUIRED  FOR  A  GIVEN         
         PRECISION.  SEVERE ABSORPTION MAY PRODUCE THE WARNING MESSAGE:         
                                                                                
         ** PRECISION REDUCED                                                   
                                                                                
         WHICH INDICATES THAT EXTRA CORE STORE WOULD HAVE  BEEN  USEFUL         
         FOR STORING ADDITIONAL GRID POINTS.                                    
                                                                                
                 THE PROGRAM CHECKS THAT THE  CRYSTAL  IS  FINITE,  AND         
         PRODUCES LINEPRINTER PLOTS OF THE CRYSTAL PROJECTED  DOWN  THE         
         X AND Y AXES.  TO COMPLETE THESE DIAGRAMS, JOIN UP  THE  PAIRS         
         OF CORNERS GIVEN IN THE  LIST  OF  EDGES.    '+'  INDICATES  A         
         CORNER ON TOP OF THE CRYSTAL, '-'  UNDERNEATH,  AND  '.'  THAT         
         TWO CORNERS ARE SUPERIMPOSED.  P SHOULD BE  GIVEN  A  NEGATIVE         
         SIGN TO PRINT OUT VALUES OF THE TRANSMISSION FACTOR, OF  SINSQ         
         THETA CALCULATED FROM (1) THE UNIT-CELL PARAMETERS ALONE,  (2)         
         THE INCIDENT BEAM DIRECTION COSINES, AND  (3)  THE  DIFFRACTED         
         BEAM DIRECTION COSINES  (AND  THE  NORMAL  TO  THE  REFLECTING         
         PLANES), AND FINALLY THE EFFECTIVE MU*T  FOR  EACH  REFLEXION.         
         IF P IS POSITIVE THE PROGRAM  CHECKS  THAT  THESE  VALUES  ARE         
         CONSISTENT; NEGATIVE  P  SUPPRESSES  THIS  CHECK  FOR  TESTING         
         PURPOSES.  THE VALUE  OF  THE  LINEAR  ABSORPTION  COEFFICIENT         
         CALCULATED AFTER READING SFAC AND UNIT MAY BE OVERRIDDEN BY  A         
         VALUE GIVEN AS THE SECOND NUMBER ON THE ABSC CARD.                     
                                                                                
                 FOR 'ABSORPTION REFINEMENT' SEE WGHT.                          
                                                                                
   * FACE H, K, L, D                                                            
   -----------------                                                            
                                                                                
                 THE CRYSTAL IS BOUNDED BY PLANE FACES, MILLER  INDICES         
         H, K, L, DISTANCE D MM. FROM A COMMON REFERENCE  POINT  INSIDE         
         THE CRYSTAL.  THERE MAY NOT BE MORE THAN 50  FACES,  AND  THEY         
         MUST  COMPLETELY  ENCLOSE  THE  CRYSTAL.     THE    ABSORPTION         
         CALCULATION TIME IS APPROXIMATELY PROPORTIONAL TO  THE  NUMBER         
         OF CRYSTAL FACES (FOR GIVEN P).                                        
                                                                                
                                                                                
                                                                                
   * HKLF N, S, R11 R12 R13 R21 R22 R23 R31 R32 R33, WT, M                      
   -------------------------------------------------------                      
                                                                                
                    N  SPECIFIES  THE  TYPE  OF  INPUT  DATA,  S  IS  A         
         MULTIPLICATIVE SCALE FACTOR AND RIJ IS A REORIENTATION  MATRIX         
         BY ROWS (NEW INDICES IN TERMS OF OLD).  S AND WT MULTIPLY  ALL         
         VALUES OF SIGMA(F) (N=1,3) OR SIGMA(I) (N=4) FOR THE DATA  SET         
         IN QUESTION.   OFTEN  S  (DEFAULT  SETTING  1),  RIJ  (DEFAULT         
         SETTING 1 0 0  0 1 0  0 0 1) AND WT (DEFAULT SETTING  1)  WILL         
         BE ABSENT.  IF PRESENT, THEY ARE APPLIED  IMMEDIATELY  TO  THE         
         DATA WHEN IT  IS  READ  IN,  AND  ALL  CALCULATIONS  ARE  THEN         
         PERFORMED WITH THE  DATA  IN  ITS  FINAL  ORIENTATION  -  THUS         
         'AXIS' ETC. MUST REFER TO THE FINAL ORIENTATION.  M IS  NEEDED         
         ONLY FOR 'CONDENSED DATA' (N=1), WHEN IT HAS BEEN  PUNCHED  BY         
         THE PROGRAM.                                                           
                                                                                
                 IF N IS POSITIVE THE  DATA  ARE  READ  FROM  'UNIT  1'         
         (WHICH MAY BE MAGNETIC TAPE).  IF N IS NEGATIVE THE  DATA  ARE         
         GIVEN ON CARDS IMMEDIATELY FOLLOWING  THE  'HKLF'  CARD.    IN         
         EITHER CASE THEY ARE TERMINATED BY ONE BLANK CARD  OR  RECORD.         
         IF THE DATA ARE NOT ON CARDS THEY  MUST  BE  IN  THE  FORM  OF         
         'CARD  IMAGES',  I.E.  EACH  RECORD  IS  PADDED  OUT  TO    80         
         CHARACTERS WITH SPACES IF NECESSARY.                                   
                                                                                
         N = 1 -  READ  'CONDENSED  DATA'  PREVIOUSLY  PUNCHED  BY  THE         
         PROGRAM.  THIS INCLUDES H, K, L, F AND SIGMA(F)  FOR  ABOUT  9         
         REFLEXIONS PER CARD.  THE MERG COMMAND IS NEEDED  BEFORE  THIS         
         DATA MAY BE USED FOR DIRECT METHODS, SINCE E  VALUES  MUST  BE         
         RECALCULATED.  A CHECKSUM IS INCLUDED IN  THE  CONDENSED  DATA         
         TO CHECK FOR CARD ORDER AND PUNCH ERRORS:  THE  CHECK  MAY  BE         
         SUPPRESSED BY TURNING THE FINAL DIGIT ON  THE  LAST  NUMERICAL         
         CARD, AND THE THREE PRECEDING CHARACTERS, INTO SPACES.                 
                                                                                
         N = 2 - READ H, K,  L,  AND  INTENSITY  IN  FORMAT(5(3I3,I7)),         
         SUITABLE FOR THE S.R.C. MICRODENSITOMETER SERVICE.    SIGMA(F)         
         IS READ AS 1.  THE DATA ARE  TERMINATED  BY  THE  FIRST  BLANK         
         CARD OR REFLEXION, SO USUALLY AN HKLF -2 CARD WILL  BE  NEEDED         
         FOR EACH WEISSENBERG LAYER (THE CARDS WITH '*'  IN  COLUMN  80         
         MUST BE REMOVED).                                                      
                                                                                
         N =  3  -  READ  H,  K,  L,   F,    SIGMA(F)    AND    N    IN         
         FORMAT(3I4,2F8.2,I4).                                                  
                                                                                
         N = 4 - READ H, K, L, INTENSITY, SIGMA(INTENSITY), N, IX,  DX,         
         IY, DY, IZ, DZ IN FORMAT(3I4,2F8.2,I4,6F8.5).   IX  ETC.  MUST         
         REFER TO THE FINAL ORIENTATION OF THE UNIT-CELL.                       
                                                                                
                   SIGMA(F)  IS  THE  ERROR  IN  F  BASED  ON  COUNTING         
         STATISTICS; IT IS INITIALLY SET  TO  1  IF  ABSENT.    SIMILAR         
         COMMENTS APPLY TO SIGMA(INTENSITY).  N  IS  THE  BATCH  NUMBER         
         FOR MERG OR ILSF; IF OMITTED, IT IS SET  TO 1  FOR  THE  FIRST         
         HKLF CARD, 2 FOR THE SECOND, AND SO ON, UNLESS  AN  AXIS  CARD         
         HAS  BEEN  GIVEN,  IN  WHICH  CASE  THE  DEFAULT  VALUE  OF  N         
         INCREASES BY 1 EACH TIME THE  VALUE  OF  U*H+V*K+W*L  CHANGES.         
         IX IS THE DIRECTION COSINE OF THE REVERSE INCIDENT  BEAM  WITH         
         THE RECIPROCAL  AXIS  X*,  DZ  THE  DIRECTION  COSINE  OF  THE         
         DIFFRACTED  BEAM  WITH  THE  RECIPROCAL  AXIS  Z*.    THE  SIX         
         DIRECTION  COSINES  MAY  BE  LEFT  BLANK  FOR  WEISSENBERG  OR         
         TWO-CIRCLE GEOMETRY (PROVIDED THAT AN AXIS CARD IS GIVEN),  OR         
         IF NO ABSORPTION CORRECTIONS ARE REQUIRED.                             
                                                                                
                 IF N = 2 OR 4, LP  CORRECTIONS  ARE  APPLIED  ONLY  IF         
         AXIS HAS BEEN SPECIFIED.  ABSORPTION CORRECTIONS  ARE  APPLIED         
         ONLY IF ABSC AND EITHER AXIS OR IX...DZ ARE GIVEN.  THEN F  IS         
         SET EQUAL TO THE SQUARE ROOT OF THE (CORRECTED) INTENSITY:             
                                                                                
         F = SQRT( I / (LP*T) )                                                 
                                                                                
         AND SIGMA(F) IS FOUND FROM:                                            
                                                                                
         SIGMA(F) = SIGMA(I) / (2*F*LP*T)                                       
                                                                                
         (LP AND THE  TRANSMISSION  FACTOR  T  ARE  INCLUDED  IN  THESE         
         FORMULAE ONLY IF THE CORRESPONDING CORRECTIONS  ARE  APPLIED).         
         IF N = 1  OR  3,  LP  AND  ABSORPTION  CORRECTIONS  ARE  NEVER         
         APPLIED.                                                               
                                                                                
                   FOR  ALL  VALUES  OF  N,  SYSTEMATICALLY  ABSENT  OR         
         GEOMETRICALLY  IMPOSSIBLE  REFLEXIONS  ARE    REJECTED    WITH         
         COMMENT.   IF  F  OR  INTENSITY  ARE  ZERO  OR  NEGATIVE,  THE         
         REFLEXION  IS  IGNORED.    IF  THE  WEIGHT  IS  NEGATIVE,  THE         
         REFLEXION IS RETAINED BUT  'SUPPRESSED'.    H,  K  AND  L  ARE         
         ROTATED TO VALUES WHICH MAXIMISE L AND THEN K,  FRIEDEL'S  LAW         
         BEING ASSUMED ONLY FOR CENTROSYMMETRIC CRYSTALS.                       
                                                                                
   MERG N, X, Y, Z                                                              
   ---------------                                                              
                                                                                
                 N = 1 - DERIVE E-VALUES BY A MODIFIED K  CURVE  METHOD         
         (KARLE, HAUPTMAN AND CHRIST,  ACTA  CRYST.,  11  (1958)  757).         
         THE DATA ARE PUT ON AN APPROXIMATELY ABSOLUTE  SCALE,  AND  AN         
         OVERALL U VALUE IS PRINTED.                                            
                                                                                
         N = 2 - AS N  =  1,  BUT  ALSO  MERGE  EQUIVALENT  REFLEXIONS,         
         COMMENT ON INCONSISTENCIES AND PRINT  INTERNAL  CONSISTENCY  R         
         INDEX.  R IS DEFINED AS:                                               
                                                                                
         R = SQRT(SIGMA(N*SIGMA(WEIGHT*(F(MEAN)-F)**2))                         
              /SIGMA((N-1)*SIGMA(WEIGHT*F*F)))                                  
                                                                                
         WHERE  THE  INNER  SUMMATIONS  ARE  OVER  THE  N    EQUIVALENT         
         REFLEXIONS AVERAGED TO GIVE F(MEAN), AND THE OUTER  SUMMATIONS         
         ARE OVER ALL UNIQUE REFLEXIONS.  THE INDEX  IS  CHOSEN  SIMPLY         
         BECAUSE IT IS FOUND TO  GIVE  A  REASONABLE  ESTIMATE  OF  THE         
         FINAL LEAST-SQUARES R-INDEX.  THUS IT IS  A  USEFUL  CHECK  ON         
         THE  QUALITY  OF  THE  DATA  BEFORE  THE  STRUCTURE  HAS  BEEN         
         DETERMINED.  N = 2 RESETS BATCH NUMBERS TO 1.                          
                                                                                
         N = 3 - AS N = 2,  BUT  ALSO  DERIVE  AND  APPLY  BATCH  SCALE         
         FACTORS USING COMMON REFLEXIONS AND THE  LINEAR  LEAST-SQUARES         
         METHOD OF RAE AND BLAKE (ACTA CRYST., 20 (1966) 586).                  
                                                                                
         NEGATIVE N LISTS THE REFLEXIONS: IN  THIS  OUTPUT,  N  IS  THE         
         BATCH NUMBER (N=1) OR NUMBER OF EQUIVALENT REFLEXIONS (N=2  OR         
         3).  SCALE FACTORS ARE APPLIED TO SIGMA(F) AS WELL AS TO F.            
                                                                                
                 IF X, Y AND Z ARE GIVEN ON THE MERG  INSTRUCTION,  THE         
         E-VALUES CURRENTLY ON  THE  BINARY  DATA  FILE  (UNIT  3)  ARE         
         RENORMALISED ACCORDING TO THE EQUATION:                                
                                                                                
         NEW(E*E) = (OLD(E*E)) * (A + B*COS(2*PI*(H*X+K*Y+L*Z)))                
                                                                                
         WHERE THE PARAMETERS A  AND  B  ARE  FOUND  BY  LEAST-SQUARES.         
         THUS TO RENORMALISE E VALUES WHICH ARE TOO  STRONG  FOR  K=3N,         
         SET Y=0.333333  AND  X=Z=0.    FURTHER  RENORMALISATION  (WITH         
         DIFFERENT X, Y AND Z) MAY BE PERFORMED IN SUBSEQUENT JOBS.             
                                                                                
                 IF THE JOB CONTAINS A MERG  INSTRUCTION,  E-STATISTICS         
         ARE PRINTED AS A FUNCTION OF SIN(THETA).  TO INTERPRET  THESE,         
         FIRST IGNORE THE REGIONS FOR WHICH THE  NUMBER  OF  REFLEXIONS         
         ('EFFECTIVE N') IS SMALL.  THE REMAINING REGIONS  SHOULD  HAVE         
         A MEAN  ABS(E*E-1)  OF  ABOUT   0.97    FOR    CENTROSYMMETRIC         
         STRUCTURES AND ABOUT 0.74 FOR NON-CENTROSYMMETRIC  STRUCTURES.         
         IF 'UNOBSERVED REFLEXIONS' ARE ABSENT, THESE VALUES WILL  TEND         
         TO BECOME SMALLER.                                                     
                                                                                
                 NOTE  THAT  ANY  MERG  COMMAND  WILL  REDETERMINE  THE         
         OVERALL F(OBS) SCALE AND RENORMALISE E VALUES (K  CURVE,  PLUS         
         X, Y AND Z IF GIVEN).                                                  
                                                                                
                                                                                
                                                                                
   OMIT S                                                                       
   ------                                                                       
                                                                                
                 IF S IS POSITIVE, REFLEXIONS FOR WHICH  S*SIGMA(F)  IS         
         GREATER THAN F ARE  'SUPPRESSED'  BUT  RETAINED  IN  THE  DATA         
         FILE.  NOTE THAT A CUTOFF AT INTENSITY LESS THAN 2.5  SIGMA(I)         
         CORRESPONDS TO F LESS THAN 5 SIGMA(F).  SUPPRESSED  REFLEXIONS         
         ARE RETAINED IN  THE  BINARY  DATA  FILE  (UNIT  3),  BUT  ARE         
         IGNORED FOR ALL CALCULATIONS  EXCEPT  GENERATION  OF  E-VALUES         
         AND THOSE DIRECT METHODS TESTS WHICH  SPECIFICALLY  DEPEND  ON         
         WEAK REFLEXIONS.   SUPPRESSED  REFLEXIONS  ARE  INCLUDED  WHEN         
         'CONDENSED DATA' ARE GENERATED.                                        
                                                                                
                 IF S IS NEGATIVE, NO REFLEXIONS  ARE  SUPPRESSED,  BUT         
         INSTEAD SIGMA(F) IS RESET TO THE ABSOLUTE VALUE OF S  (USUALLY         
         1).  THIS IS USEFUL FOR PHOTOGRAPHIC DATA.                             
                                                                                
                 IF THE JOB CONTAINS  ANY  MERG  OR  OMIT  INSTRUCTION,         
         'SUPPRESSED' REFLEXIONS WILL BE REINSTATED BEFORE THE MERG  OR         
         OMIT OPERATIONS  ARE  ACTUALLY  PERFORMED  (INSTRUCTION  ORDER         
         MAKES NO DIFFERENCE).                                                  
                                                                                
                                                                                
                                                                                
   OMIT H, K, L                                                                 
   ------------                                                                 
                                                                                
                 SUPPRESS REFLEXION H, K, L IN THE PERMANENT DATA  FILE         
         (UNIT  3),  BEFORE  DOING  DIRECT    METHODS,    LEAST-SQUARES         
         REFINEMENTS ETC.  WHEN WORKING FROM CONDENSED DATA  WITHOUT  A         
         PERMANENT FOBS FILE, THE  OMIT  INSTRUCTION  MAY  BE  USED  TO         
         SUPPRESS REFLEXIONS FOR THE PRESENT JOB ONLY.                          
                                                                                
                                                                                
                                                                                
   EEES MIN(E), NP, NS, M(MIN), QT(MAX)                                         
   ------------------------------------                                         
                                                                                
                    AUTOMATIC  CENTROSYMMETRIC  DIRECT  METHODS.    THE         
         MINIMUM E IS NECESSARY, AND SHOULD BE ABOUT 1.2.   NP  DEFINES         
         THE NUMBER OF PHASE PERMUTATIONS 2**NP  (NP  IS  TYPICALLY  IN         
         THE RANGE 10 - 16).  NS IS THE MAXIMUM NUMBER OF E-MAPS TO  BE         
         PRINTED (USING FMAP 7), ALTHOUGH  THE PROGRAM  MAY  DECIDE  TO         
         PRINT LESS IF THERE APPEAR  TO  BE  ONLY  A  SMALL  NUMBER  OF         
         REASONABLE SOLUTIONS.  THE ORIGIN IS  SELECTED  AUTOMATICALLY,         
         TAKING ANY  PHIX  CARDS  INTO  ACCOUNT.    SINCE  THE  DEFAULT         
         SETTINGS (NP = 12, NS = 4, M(MIN) = 0.7, QT(MAX)  =  0.5)  ARE         
         SUITABLE FOR MOST PURPOSES, TYPICAL INSTRUCTIONS ARE:    'EEES         
         1.2' FOR A STRAIGHTFORWARD STRUCTURE, AND  'EEES  1.1  14  20'         
         FOR  A  MORE  OBSTINATE  ONE.    M(MIN)  AND  QT(MAX)  SET  UP         
         REJECTION TESTS BASED ON M(ABS) (GERMAIN, MAIN  AND  WOOLFSON,         
         ACTA CRYST., A27 (1971) 368), AND EQUATION 12  OF  GIACOVAZZO,         
         ACTA CRYST., A30 (1974) 481.                                           
                                                                                
                 THE SIGN EXPANSION IS BASED ON THE EQUATION:                   
                                                                                
         S(H) = SIGN OF (SIGMA E(K)*E(H-K))                                     
                                                                                
         THE SIGNS AND CODE NUMBERS OF THE CONTRIBUTORS  TO  THE  RIGHT         
         HAND SIDE OF THIS EQUATION ARE PRINTED FOR THE  START  OF  THE         
         'SIGN  EXPANSION  PATHWAY';  ONLY  THE  STRONGEST  10   UNIQUE         
         CONTRIBUTORS  ARE  USED.    DURING  THE  SIGN  EXPANSION,  THE         
         PROGRESSIVE M(ABS) TEST  IS  USED  TO  REDUCE  THE  NUMBER  OF         
         'SURVIVING' PERMUTATIONS.  AT THE END OF  THE  EXPANSION  THIS         
         NUMBER  IS  FURTHER  REDUCED  BY  THE  QT  TEST,  WHICH   USES         
         INFORMATION FROM LOW E VALUES  (WHETHER  THE  REFLEXIONS  HAVE         
         BEEN  'SUPPRESSED'  OR  NOT).    THIS  TEST  WORKS  BEST    IF         
         'UNOBSERVED' REFLEXIONS ARE RETAINED  IN  THE  DATA  REDUCTION         
         (E.G. WITH F SET TO SIGMA(F)), AND  THEN  SUPPRESSED  BY  E.G.         
         'OMIT  5'  SO  THAT  THEY  ARE  NOT  USED  FOR  LEAST-SQUARES.         
         FINALLY A 'SIMILARITY TEST' IS APPLIED SO THAT ONLY  DIFFERENT         
         E-MAPS ARE CALCULATED (THE TEST TAKES  INTO  ACCOUNT  POSSIBLE         
         CHANGES OF UNIT-CELL ORIGIN).    THUS  USUALLY  ONLY  A  SMALL         
         NUMBER OF E-MAPS NEED TO BE PRINTED, AND  THESE  ARE  ARRANGED         
         IN TERMS OF A RELIABILITY INDEX (PARACHOR) THAT  COMBINES  THE         
         M(ABS) AND QT TESTS SO THAT THE MOST  PROBABLE  SOLUTIONS  ARE         
         PRINTED FIRST.                                                         
                                                                                
                                                                                
                                                                                
   TANG E(MIN), KAPPA(MIN), MS, NA, WS, WE                                      
   ---------------------------------------                                      
                                                                                
                   MULTISOLUTION  TANGENT  REFINEMENT,  USING  STARTING         
         PHASES DEFINED ON PHIX CARDS, AND/OR PHASES CALCULATED FROM  A         
         PARTIAL STRUCTURE.  A CONVERGENCE  MAP  IS  PRINTED  (GERMAIN,         
         MAIN AND WOOLFSON, ACTA CRYST., B26 (1970) 274 AND A27  (1971)         
         368), USING TRIPLE PHASE RELATIONS  WITH  KAPPA  VALUES  ABOVE         
         THE MINIMUM SPECIFIED (IF  THERE  IS  NOT  ENOUGH  STORE,  THE         
         PROGRAM  MAY  AUTOMATICALLY  RAISE  THIS  LIMIT).     NEGATIVE         
         KAPPA(MIN)  GIVES  A  FULL  PRINTOUT,  OTHERWISE   ONLY    THE         
         STRONGEST 50 PHASES  AND  THE  RELATIONS  INVOLVING  THEM  ARE         
         PRINTED (BUT IF THERE ARE WEAK LINKS OR BREAKS  IN  THE  LIST,         
         FURTHER PRINTOUT APPEARS AUTOMATICALLY).     TYPICALLY  E(MIN)         
         SHOULD BE ABOUT 1.2 AND KAPPA(MIN) ABOUT 1.0.  THIS  STAGE  IS         
         QUITE SLOW, BECAUSE THE REFLEXION  SET  TO  BE  USED  FOR  THE         
         CONVERGE  MAP  (AND  REFINEMENT)  IS  FIRST  OPTIMISED.    THE         
         ORIGIN,  ENANTIOMORPH  AND  MULTISOLUTION  PHASES  SHOULD   BE         
         CHOSEN FROM REFLEXIONS WITH HIGH ESTIMATED ALPHA VALUES  (I.E.         
         THEY ENTER INTO MANY STRONG PHASE RELATIONS)  AND  HIGH  OMEGA         
         VALUES.    OMEGA IS THE ESTIMATED R.M.S. ERROR  IN  THE  PHASE         
         IF IT IS DETERMINED FROM ONLY THOSE ABOVE IT IN THE LIST;  THE         
         RANDOM VALUE IS 104 DEGREES.  AN APPROXIMATE FORMULA  IS  USED         
         FOR ESTIMATING OMEGA, WHICH WILL GIVE AN OVERESTIMATE IF  ONLY         
         ONE OR TWO PHASE RELATIONS ARE INVOLVED.   'RESTRICTED'  PHASE         
         ANGLES ARE PRINTED FOR REFLEXIONS WHICH ARE  RESTRICTED  TO  A         
         PAIR OF VALUES BY THE SPACE GROUP.  SINCE SUCH REFLEXIONS  ARE         
         USEFUL FOR SPECIFYING THE ORIGIN ETC., THEY ARE PUSHED UP  THE         
         CONVERGENCE LIST.  THE CONVERGENCE LIST IS FOLLOWED BY A  LIST         
         OF TRIPLE PHASE  RELATIONS  IN  THE  FORM  OF  REFLEXION  CODE         
         NUMBERS PLUS SIGNS, EXPECTED PHASE ANGLE AND  ESTIMATED  ERROR         
         IN DEGREES.  ALL REFLEXION CODE NUMBERS IN  THE  OUTPUT  REFER         
         TO THE  ORDER  IN  THE  CONVERGENCE  MAP  (THE  MOST  SUITABLE         
         REFLEXIONS FOR USE IN THE STARTING SET ARE GIVEN FIRST).               
                                                                                
                    THE  FIGURE  OF  MERIT  FOR  SELECTING  THE  'BEST'         
         SOLUTIONS  IS  ESSENTIALLY  A  COMBINATION  OF  RK  (SOMETIMES         
         CALLED R(KARLE)) AND PHI(0):                                           
                                                                                
         RA = (SIGMA A*ALPHA)**2/(SIGMA A**2)(SIGMA ALPHA**2)                   
                                                                                
         THE SUMMATIONS ARE OVER ALL E VALUES LESS THAN  0.2,  AND  ALL         
         GREATER THAN 1.5; ALPHA AND A (THE ESTIMATED VALUE  OF  ALPHA)         
         ARE DEFINED BY GERMAIN, MAIN AND  WOOLFSON.    THE  USE  OF  A         
         RATHER THAN E IN THIS FORMULA CAN  BE  REGARDED  AS  A  FINITE         
         SAMPLE CORRECTION.  A SIMILARITY TEST  IS  APPLIED  TO  REJECT         
         SOLUTIONS WHICH WILL GIVE 'SIMILAR' E-MAPS TO  SOLUTIONS  WITH         
         LOWER RA.                                                              
                                                                                
                 MS  SPECIFIES  THE  NUMBER  OF  'BEST'  E-MAPS  TO  BE         
         GENERATED (VIA FMAP 7).  THE DEFAULT SETTING OF ZERO  PRODUCES         
         CONVERGENCE MAP ONLY.  THE SOLUTIONS ARE SORTED INTO ORDER  OF         
         INCREASING RA.                                                         
                                                                                
                 NA (DEFAULT ZERO) IS THE  NUMBER  OF  REFLEXIONS  WITH         
         HIGHEST PRODUCTS E(OBS)*E(CALC) TO BE PHASED ON THE  BASIS  OF         
         A PARTIAL STRUCTURE DEFINED BY ATOM CARDS.   THESE PHASES  ARE         
         HELD FIXED  THROUGHOUT  THE  REFINEMENT.    PHIX  PHASES  TAKE         
         PRIORITY  OVER  THE  PARTIAL  STRUCTURE  PHASE  FOR  A   GIVEN         
         REFLEXION.  IF NA IS NOT ZERO ATOM CARDS MUST BE GIVEN.                
                                                                                
                 WS IS THE MEAN  WEIGHT  AT  WHICH  REFINEMENT  OF  THE         
         STARTING PHASES COMMENCES (UNTIL THIS POINT THEY  ARE  FIXED);         
         WE IS THE MEAN WEIGHT AT WHICH THE  REFINEMENT  IS  CONSIDERED         
         COMPLETE.  NORMALLY WE AND WS SHOULD BE LEFT AT THEIR  DEFAULT         
         SETTINGS (0.25 AND 0.95).  THE REFINEMENT TERMINATES AFTER  20         
         CYCLES IF NOT BEFORE.  NEGATIVE MS CAUSES THE MEAN WEIGHT  AND         
         FIRST 28 PHASE ANGLES (IN DEGREES)  TO  BE  PRINTED  OUT  EACH         
         CYCLE.                                                                 
                                                                                
                 IT IS ILLEGAL TO GIVE BOTH EEES AND TANG IN  THE  SAME         
         JOB.    BOTH  EEES  AND  TANG  IGNORE  'SIGMA  1'    RELATIONS         
         COMPLETELY.  TANG IS QUITE SLOW; THE ONLY WAY TO SPEED  IT  UP         
         IS TO INCREASE E-MIN.                                                  
                                                                                
                                                                                
                                                                                
   * PHIX H, K, L, PHI1, PHI2, PHI3, PHI4                                       
   --------------------------------------                                       
                                                                                
                 FIXED AND MULTISOLUTION PHASES FOR  DIRECT  METHODS  -         
         ONE REFLECTION PER PHIX CARD.  PHI1...PHI4  ARE  THE  POSSIBLE         
         PHASE ANGLES, AND SHOULD BE BETWEEN 0 AND 360 (ONLY  PHI1  MAY         
         BE ZERO).  E.G.                                                        
                                                                                
         PHIX 6 2 1 0                                                           
         PHIX -3 3 3 0 180                                                      
         PHIX -2 1 1 45 135 225 315                                             
                                                                                
         GENERATES 8 PERMUTATIONS.  PHIX CARDS ARE USED TO  DEFINE  THE         
         ORIGIN, ENANTIOMORPH  AND  MULTISOLUTION  REFLEXIONS  FOR  THE         
         GENERAL DIRECT METHODS PROGRAM (USING TANG),  OR  TO  OVERRIDE         
         (AT  LEAST  IN  PART)  THE  AUTOMATIC  CHOICE  OF  ORIGIN  AND         
         MULTISOLUTION REFLEXIONS FOR THE FAST CENTROSYMMETRIC  PROGRAM         
         (EEES).                                                                
                                                                                
                                                                                
                                                                                
   L.S. NLS, SMAX, DAMP                                                         
   --------------------                                                         
                                                                                
                 NLS = NUMBER OF  CYCLES  OF  FULL-MATRIX  (OR  BLOCKED         
         FULL-MATRIX) LEAST-SQUARES REFINEMENT.  STRUCTURE FACTORS  ARE         
         ALSO CALCULATED AFTER THE LAST CYCLE (OR  AFTER  0  CYCLES  IF         
         NLS = 0).                                                              
                                                                                
         SMAX - MAXIMUM SIN(THETA) FOR ALL CALCULATIONS.  USUALLY  LEFT         
         AT THE DEFAULT SETTING OF ONE, BUT OCCASIONALLY IT  IS  USEFUL         
         TO HAVE A SMALLER VALUE IN THE EARLY STAGES  OF  LEAST-SQUARES         
         REFINEMENT.                                                            
                                                                                
         DAMP = DAMPING FACTOR. NORMALLY LEFT AT  THE  DEFAULT  SETTING         
         OF 0 UNLESS THERE IS SEVERE CORRELATION, E.G. WHEN  TRYING  TO         
         REFINE    A    NON-CENTROSYMMETRIC    STRUCTURE    WHICH    IS         
         PSEUDO-CENTROSYMMETRIC.  A VALUE IN THE RANGE 10 - 1000  MIGHT         
         BE SUITABLE FOR THIS.  IT MAY ALSO BE USEFUL  TO  INCREASE  IT         
         IN THE EARLY STAGES OF  REFINEMENT,  WHICH  MAY  INCREASE  THE         
         'CIRCLE OF CONVERGENCE' AT THE COST OF MORE REFINEMENT CYCLES.         
                                                                                
   AFLS NLS, SMAX, DAMP                                                         
   --------------------                                                         
                                                                                
                 THIS COMMAND HAS THE SAME  EFFECT  AS  'L.S.',  EXCEPT         
         THAT 'ACCELERATED FULL-MATRIX' REFINEMENT IS USED  INSTEAD  OF         
         FULL-MATRIX.  THE METHODS ARE IDENTICAL UNTIL AFTER THE  CYCLE         
         1 MATRIX INVERSION: IN THE  ACCELERATED  METHOD,  THE  INVERSE         
         MATRIX IS THEN MODIFIED EACH CYCLE WITHOUT REPEATING THE  TIME         
         CONSUMING STAGES OF ADDING DERIVATIVE PRODUCTS  AND  INVERTING         
         THE MATRIX.  NORMAL FULL-MATRIX REFINEMENT IS MUCH  SLOWER  IF         
         THERE ARE A LARGE NUMBER  OF  PARAMETERS  AND  MORE  THAN  ONE         
         REFINEMENT CYCLE; IN THE  ACCELERATED  METHOD,  THE  TIME  FOR         
         SUBSEQUENT CYCLES IS EQUAL TO THE TIME  FOR  STRUCTURE  FACTOR         
         CALCULATION.    HOWEVER  THE  NORMAL  FULL-MATRIX  METHOD   IS         
         DESIRABLE IF THE MATRIX IS CHANGING SUBSTANTIALLY EACH  CYCLE,         
         E.G. IN THE INITIAL STAGES OF  REFINEMENT.    THE  RECOMMENDED         
         STRATEGY IS TO SWITCH TO AFLS  FOR  THE  TIME-CONSUMING  FINAL         
         STAGES OF REFINEMENT, E.G. IF AND WHEN CARBON ATOMS  ARE  MADE         
         ANISOTROPIC AND THE R-INDICES ARE WITHIN ABOUT  5  PERCENT  OF         
         THEIR FINAL VALUES.   USING  AFLS,  IT  IS  QUICKER  TO  DO  A         
         SMALLER NUMBER OF  JOBS  WITH  MORE  CYCLES  IN  EACH.    BOTH         
         METHODS  RESULT  IN  STANDARD  DEVIATION  ESTIMATES  IN   BOND         
         LENGTHS  AND  ANGLES  BASED  ON  THE  FULL  COVARIANCE  MATRIX         
         (EXCEPT WHEN BLOC IS USED WITH L.S.).  AFLS MAY  NOT  BE  USED         
         WITH BLOC (THE PROGRAM  AUTOMATICALLY  CHANGES  IT  TO  L.S.).         
         REFINEMENT OF  THE  WEIGHTING  SCHEME  AND  DFIX  BOND  LENGTH         
         CONSTRAINTS BOTH CAUSE FAIRLY LARGE  CHANGES  IN  THE  MATRIX,         
         AND SO ARE NOT RECOMMENDED WITH THE ACCELERATED METHOD.                
                                                                                
                                                                                
                                                                                
   BOND D1,D2,D(CH),D5,D6                                                       
   ----------------------                                                       
                                                                                
                 CALCULATE BOND LENGTHS AND ANGLES (AND E.S.D'S IF  NLS         
         IS NOT ZERO) FOR INTERATOMIC DISTANCES  LESS  THAN  (R1+R2+D1)         
         INVOLVING  ATOM  PAIRS  IN  THE  SAME  ASYMMETRIC  UNIT    (OR         
         TRANSLATED FROM IT BY A WHOLE NUMBER OF  UNIT  CELL  REPEATS).         
         COVALENT RADII ARE STORED WITH SCATTERING  FACTORS  AND  GIVEN         
         ON 'SFAC' CARDS.  NON-BONDED DISTANCES ARE CALCULATED  WITHOUT         
         ESD'S FOR ANY ATOMS  CLOSER  THAN  (R1+R2+D2).    THE  DEFAULT         
         SETTING OF D(CH) IS  1.08  A,  FOR  D5  (USED  FOR  A  REGULAR         
         PENTAGON SET  UP  BY  'AFIX'  CARDS)  1.42,  AND  D6  (REGULAR         
         HEXAGON) 1.395.                                                        
                                                                                
   LIST N, M                                                                    
   ---------                                                                    
                                                                                
                 THIS PRODUCES M COPIES OF FO/FC TABLES IN  PUBLICATION         
         FORMAT (10FO/10FC IF M IS NEGATIVE).                                   
                                                                                
         N = 0 - NO OTHER ACTION.                                               
                                                                                
         N = 1 - ANALYSIS OF VARIANCE AND LIST OF  WEIGHTED  DEVIATIONS         
         SQRT(WEIGHT)*ABS(FO-FC) GREATER  THAN  TWO  TIMES  THE  SQUARE         
         ROOT  OF  THE  ESTIMATED  VARIANCE  FROM  LEAST-SQUARES,  I.E.         
         GREATER THAN 2*SQRT(SIGMA(WEIGHT*(FO-FC)**2)/(M-NP))  WHERE  M         
         IS THE TOTAL NUMBER OF REFLEXIONS AND  NP  IS  THE  NUMBER  OF         
         PARAMETERS REFINED.    THE ANALYSIS OF VARIANCE  IS  PRESENTED         
         IN   TERMS    OF    REFLEXION    INDICES,    SIN(THETA)    AND         
         SQRT(F(OBS)/F(MAX)).  IN THIS ANALYSIS, N  IS  THE  NUMBER  OF         
         REFLEXIONS IN  THE  GROUP  AND  V  IS  100  TIMES  THE  R.M.S.         
         DEVIATION OF A REFLEXION OF UNIT WEIGHT ON AN  ABSOLUTE  SCALE         
         OF F(CALC), I.E.:                                                      
                                                                                
         V = 100 * SQRT(M*SIGMA(WEIGHT*(FO-FC)**2) / N*SIGMA(WEIGHT) )          
                                                                                
         WHERE THE FIRST  SUMMATION  IS  OVER  THE  REFLEXIONS  IN  THE         
         GROUP, THE SECOND SUMMATION IS OVER ALL REFLEXIONS, AND  M  IS         
         THE TOTAL NUMBER OF REFLEXIONS.                                        
                                                                                
         N = 2 - OUTPUT CONDENSED DATA CARDS.                                   
                                                                                
         N = 3 - PUNCH H, K, L, FO AND SIGMA(FO) IN FORMAT(3I4,2F8.2).          
                                                                                
         N = 4 - PUNCH H, K, L, E IN FORMAT(3I4,F8.2).                          
                                                                                
         N = 5 - PRINT H, K, L, FO, FC, A, B, PHASE ANGLE  IN  DEGREES,         
         FO-FC AND 1./SQRT(WEIGHT).   AFTER  WEIGHT  OPTIMISATION  (SEE         
         WGHT) THE LAST TWO QUANTITIES SHOULD BE OF THE SAME  ORDER  OF         
         MAGNITUDE (IGNORING SIGN).                                             
                                                                                
         N =  6  -  PUNCH  H,   K,    L,    FO,    WEIGHT,    8*(PI*SIN         
         THETA/LAMBDA)**2, A AND B IN FORMAT(3I4,5F8.2).                        
                                                                                
         NEGATIVE N PRODUCES INPUT CARDS  FOR  THE  PROGRAM  'XPUB'  AS         
         WELL (THIS PROGRAM MAY BE USED TO  EDIT  TABLES  INTO  A  FORM         
         SUITABLE FOR PUBLICATION).                                             
                                                                                
                                                                                
                                                                                
   FMAP N, NA, NL, NP, S                                                        
   ---------------------                                                        
                                                                                
                 N =  0  (NO  ACTION),  1  (PATTERSON),  2  (DIFFERENCE         
         FOURIER), 3 (FOURIER),  4  (FIRST  E-MAP  ONLY),  5  (WEIGHTED         
         DIFFERENCE  FOURIER),  6  (E*F   FOURIER,    I.E.    SHARPENED         
         PATTERSON) OR 7 (ALL E-MAPS).  N SHOULD BE NEGATIVE IF A  FULL         
         PRINTOUT OF THE MAP IS REQUIRED - OTHERWISE ONLY PEAK  HEIGHTS         
         AND POSITIONS ARE PRINTED.  FOR N = 3 AND 5  A  SIM  WEIGHTING         
         SCHEME IS EMPLOYED ('COMPUTING METHODS AND THE  PHASE  PROBLEM         
         IN X-RAY CRYSTAL ANALYSIS', PERGAMON (1961)).    UNIT  WEIGHTS         
         ARE USED FOR N = 2, SO  THIS  MUST  BE  USED  TO  OBTAIN  PEAK         
         HEIGHTS IN ELECTRONS PER CUBIC ANGSTROM  (THE  HEIGHTS  SHOULD         
         BE DIVIDED BY THE SCALE FACTOR  PRINTED  AT  THE  TOP  OF  THE         
         PAGE).                                                                 
                                                                                
                 THE WEIGHTING SCHEME USED BY N = 3 AND 5 ASSUMES  THAT         
         THE CELL CONTENTS HAVE BEEN SPECIFIED CORRECTLY  ON  THE  UNIT         
         CARD THROUGHOUT, AND THAT A MERG INSTRUCTION (N = 1, 2  OR  3)         
         HAS  BEEN  EMPLOYED  TO  PUT  THE  DATA  ON  AN  APPROXIMATELY         
         ABSOLUTE SCALE, AND THAT THE  OVERALL  SCALE  FACTOR  HAS  NOT         
         BEEN REFINED.  THUS FMAP 5 IS USEFUL UNTIL  ABOUT  60  PERCENT         
         OF THE SCATTERING POWER HAS BEEN LOCATED; AT  THIS  STAGE  THE         
         OVERALL SCALE FACTOR SHOULD BE ALLOWED TO REFINE, AND  FMAP  2         
         USED FOR FURTHER DIFFERENCE ELECTRON DENSITY SYNTHESES.    FOR         
         FMAP 3, THE QUESTION OF WHETHER THE  OVERALL  SCALE  HAS  BEEN         
         REFINED OR NOT IS LESS IMPORTANT.                                      
                                                                                
         NA = 1 - LAYERS OF CONSTANT X, Y ACROSS, Z DOWN.                       
                                                                                
         NA = 2 - LAYERS OF CONSTANT Y, Z ACROSS, X DOWN.                       
                                                                                
         NA = 3 - LAYERS OF CONSTANT Z, X ACROSS, Y DOWN.                       
                                                                                
         NEGATIVE NA IS SIMILAR BUT WITH THE 'ACROSS' AND  'DOWN'  AXES         
         INTERCHANGED.                                                          
                                                                                
         NL = NO. OF LAYERS.                                                    
                                                                                
         NP = NO. OF STRONGEST PEAKS TO BE FOUND IN  THE  PEAK  SEARCH.         
         THESE ARE NOT PRINTED IF A  PLAN  INSTRUCTION  HAS  ALSO  BEEN         
         GIVEN (SINCE  THIS  ALSO  PRINTS  THEM),  UNLESS  NP  IS  MADE         
         NEGATIVE.                                                              
                                                                                
         NON-ZERO  S  SETS  WEIGHTS  DEPENDING  EXPONENTIALLY  ON   SIN         
         SQUARED  THETA  FOR  ANY  TYPE  OF  FOURIER  MAP,  MULTIPLYING         
         EXISTING WEIGHTS FOR N = 3 OR 5.  POSITIVE S IS THE  VALUE  OF         
         SIN THETA / LAMBDA FOR WHICH THE WEIGHT IS HALF THAT AT  THETA         
         = 0.  NEGATIVE S IS MINUS THE VALUE OF SIN THETA / LAMBDA  FOR         
         WHICH THE WEIGHT IS TWICE THAT AT THETA = 0.  TO OPTIMISE  THE         
         LOCATION OF HYDROGEN ATOMS, A VALUE IN THE REGION  OF  0.3  IS         
         RECOMMENDED: THE HYDROGEN ATOMS CONTRIBUTE MAINLY TO  THE  LOW         
         ANGLE REFLEXIONS.  THIS METHOD IS  BETTER  THAN  USING  A  SIN         
         THETA CUTOFF BECAUSE SERIES TERMINATION ERRORS ARE MINIMISED.          
                                                                                
         THE DEFAULT SETTING IS:  'FMAP 0 1 28 100 0'                           
                                                                                
   GRID L0, A0, D0, DL, DA, DD                                                  
   ---------------------------                                                  
                                                                                
                 STARTING VALUES AND INCREMENTS IN THE  ORDER  (LAYERS,         
         ACROSS, DOWN), MULTIPLIED BY 100 AND GIVEN AS INTEGERS.                
                                                                                
         THE DEFAULT SETTING IS:  'GRID -2 -2 -2 2 2 2'                         
                                                                                
                 THERE ARE ALWAYS 28 POINTS ACROSS  THE  PAGE,  AND  53         
         DOWN.  THE DEFAULT SETTINGS OF FMAP AND GRID THUS  COMBINE  TO         
         GIVE ONE QUARTER OF A UNIT-CELL WITH OVERLAP AT THE EDGES:  X=         
         -0.02 TO 0.52, Y= -0.02 TO 0.52, Z = -0.02 TO 1.02.  NOTE  THE         
         TECHNIQUE OF STARTING ONE GRID POINT BEFORE THE CELL  EDGE  TO         
         ENSURE THAT ALL PEAKS CLOSE TO THE CELL EDGE ARE FOUND IN  THE         
         PEAK SEARCH.                                                           
                                                                                
                                                                                
                                                                                
   PLAN N, AX                                                                   
   ----------                                                                   
                                                                                
                       ASSEMBLE  AND  PLOT  (ON  THE  LINEPRINTER)  THE         
         'MOLECULES' DERIVED FROM THE ATOMS PLUS THE HIGHEST  N  UNIQUE         
         FOURIER PEAKS (IF ANY).  N = 0 OR ABSENT IF  NO  PEAKS  TO  BE         
         USED, NEGATIVE IF NO ATOMS TO BE USED.  THE  'ELEVATION'  (THE         
         HEIGHT IN INCHES ABOVE THE PAPER)  IS  PRINTED  TO  AID  MODEL         
         BUILDING; A 'MOLECULE' IS PLOTTED IF  IT  CONTAINS  MORE  THAN         
         TWO ATOMS.  A 'BOND' IS DEFINED IN THE  SAME  WAY  AS  ON  THE         
         BOND CARD, WITH D1 ALWAYS 0.5.  PEAKS OF HEIGHT  GREATER  THAN         
         200 (WHICH MAY BE 'HEAVY ATOMS') ARE  GIVEN  'COVALENT  RADII'         
         OF 1.25, AND PEAKS OF HEIGHT LESS THAT 200 ARE GIVEN RADII  OF         
         0.65 ANGSTROMS.  THUS FOR AN E-MAP  ALL  DISTANCES  LESS  THAN         
         1.8 ANGSTROMS ARE CONSIDERED TO BE BONDS, PLUS  A  FEW  LONGER         
         DISTANCES INVOLVING THE STRONGEST PEAKS.  THIS INSTRUCTION  IS         
         PARTICULARLY USEFUL FOR  INTERPRETING  E-MAPS  AND  DIFFERENCE         
         ELECTRON DENSITY MAPS, BUT  MAY  ALSO  BE  USED  TO  FIND  THE         
         UNIQUE PEAKS IN A PATTERSON MAP (IN WHICH CASE  NO  'MOLECULE'         
         IS PLOTTED).                                                           
                                                                                
                 AX = 1, 2  OR  3  SETS  AN  AXIS  X,  Y  OR  Z  FOR  A         
         PROJECTION OF THE ASYMMETRIC UNIT AND THE  CELL  EDGES  TO  BE         
         'PLOTTED'.  IN THIS PLOT ATOMS ARE IDENTIFIED BY THE  MOLECULE         
         NUMBER.                                                                
                                                                                
                                                                                
                                                                                
   WGHT G, NR, NZ                                                               
   --------------                                                               
                                                                                
                 IF NO WGHT CARD IS GIVEN,  'UNIT  WEIGHTS'  ARE  USED.         
         THIS USUALLY GIVES GOOD CONVERGENCE IN  THE  EARLY  STAGES  OF         
         REFINEMENT.  FOR THE FINAL STAGES IT IS DESIRABLE  TO  INCLUDE         
         WEIGHTS BASED ON SIGMA(F).  IF  A  WGHT  CARD  IS  GIVEN,  THE         
         WEIGHTING SCHEME EMPLOYED FOR LEAST-SQUARES  AND  ANALYSIS  OF         
         VARIANCE IS:                                                           
                                                                                
         WEIGHT = K / (SIGMA**2(F) + ABS(G)*F*F)                                
                                                                                
         K IS REDETERMINED AFTER EACH STRUCTURE FACTOR CALCULATION;  IF         
         THERE ARE NO SERIOUS SYSTEMATIC ERRORS IT SHOULD NOT  BE  MUCH         
         GREATER THAN UNITY.   IF  G  IS  GIVEN  A  NEGATIVE  SIGN  ITS         
         ABSOLUTE  VALUE  IS  REFINED  AT  THE  SAME  TIME  BY  FITTING         
         (FO-FC)**2 TO (SIGMA**2(F)+ABS(G)*F*F)/K (THIS METHOD IS  USED         
         TO FIND K WHETHER OR NOT G IS FIXED).    POSITIVE  OR  ZERO  G         
         GIVES A  FIXED  WEIGHTING  SCHEME,  SINCE  K  CANCELS  IN  ALL         
         CALCULATIONS.  IF - AS OFTEN HAPPENS - THE  WEIGHT  REFINEMENT         
         DOES NOT CONVERGE WELL, IT WILL BE NECESSARY  TO  TRY  VARIOUS         
         FIXED (I.E. POSITIVE) VALUES OF  G  TO  SEE  WHICH  GIVES  THE         
         SMALLEST VARIATION OF THE MEAN  VALUE  OF  W*(FO-FC)**2  AS  A         
         FUNCTION OF THE MAGNITUDE OF FO (SEE 'LIST 1' FOR ANALYSIS  OF         
         VARIANCE).                                                             
                                                                                
         NR DEFINES A FREE VARIABLE NUMBER FOR  REFINEMENT  OF  CRYSTAL         
         'SIZE' TO CHECK THE ABSORPTION CORRECTION.    IF  THE  CRYSTAL         
         DIMENSIONS HAVE BEEN MEASURED CORRECTLY, IT SHOULD  REFINE  TO         
         A VALUE FAIRLY CLOSE TO UNITY.  UNFORTUNATELY  THIS  PARAMETER         
         IS OFTEN STRONGLY CORRELATED WITH THE  OVERALL  SCALE  FACTOR;         
         SINCE A SYSTEMATIC ERROR IN THE ABSORPTION CORRECTION WILL  BE         
         MAINLY COMPENSATED FOR IN DERIVING THE  INITIAL  (STATISTICAL)         
         VALUE FOR THE F(OBS) SCALE, THERE IS NO POINT IN AVOIDING  THE         
         CORRELATION BY FIXING THE OVERALL SCALE  FACTOR.    SINCE  THE         
         REFINEMENT IS APPROXIMATE, THE  ABSORPTION  CORRECTION  SHOULD         
         BE REPEATED WITH DIFFERENT CRYSTAL  DIMENSIONS  IF  A  MISTAKE         
         HAS BEEN MADE IN THE OVERALL SCALE OF THE CRYSTAL  DIMENSIONS.         
         ALTERNATIVELY THE  REFINEMENT  OF  THE  CRYSTAL  SIZE  CAN  BE         
         REGARDED AS AN EMPIRICAL ABSORPTION CORRECTION IN CASES  WHERE         
         IT IS DIFFICULT  TO  MEASURE  THE  CRYSTAL  ACCURATELY.    THE         
         CORRECTION OBTAINED BY  REFINING  THE  'SIZE'  IS  APPLIED  TO         
         F(CALC), NOT F(OBS).                                                   
                                                                                
         NZ DEFINES A FREE VARIABLE NUMBER FOR  REFINING  AN  EMPIRICAL         
         (AND PHYSICALLY DUBIOUS)  ISOTROPIC  EXTINCTION  PARAMETER  X,         
         WHERE THE CALCULATED STRUCTURE FACTOR BECOMES:                         
                                                                                
         F* = F ( 1 - 0.0001*X*F*F/SINTHETA )                                   
                                                                                
         THE FREE VARIABLES DEFINED BY NR AND NZ MAY NOT BE FIXED,  BUT         
         THESE CORRECTIONS MAY BE IGNORED BY SETTING THEM TO ZERO.   IF         
         THE 'SIZE' IS  REFINED,  ABSORPTION  CALCULATIONS  USING  ABSC         
         MUST HAVE  BEEN  APPLIED  IN  THE  DATA  REDUCTION  JOB  WHICH         
         PRODUCED THE PERMANENT DATA FILE  (OR  IN  THE  CURRENT  JOB).         
         THE NECESSARY INFORMATION IS NOT STORED IN  'CONDENSED  DATA'.         
         NOTE THAT NR AND NZ ARE  SIMPLE  FREE  VARAIBLE  NUMBERS,  NOT         
         (10*M+P) TYPE REFERENCES.                                              
                                                                                
   * ILSF M, SF1, SF2, SF3, ...                                                 
   ----------------------------                                                 
                                                                                
                 REFINE INTER-LAYER SCALE FACTORS.  IF  M  =  1  LAYERS         
         ARE DEFINED BY ABS(H), M = 2 BY ABS(K), AND M = 3  BY  ABS(L).         
         SF1 IS THE INTER-LAYER SCALE FACTOR FOR LAYER 1 (NOT  0)  ETC.         
         TO FIX AN INTER-LAYER SCALE FACTOR, ADD 100.                           
                                                                                
         M = -1, -2 OR -3 IS SIMILAR  TO  THE  ABOVE  EXCEPT  THAT  THE         
         APPROPRIATE UJJ FOR EACH ANISOTROPIC ATOM  IS  CONSTRAINED  TO         
         BE  EQUAL  TO  THE  MEAN  OF  THE  OTHER  TWO  UII,  TO  AVOID         
         CORRELATION AND SINGULAR MATRIX PROBLEMS.                              
                                                                                
         M = 4 IS USED TO REFINE THE SCALE  FACTORS  FOR  'BATCHES'  OF         
         DATA (E.G.  FROM  DIFFERENT  CRYSTALS).    SEE  HKLF  FOR  THE         
         DEFINITION OF BATCH NUMBER, BUT NOTE THAT N = 2 OR 3  IN  MERG         
         RESETS ALL BATCH NUMBERS TO ONE.  SF1 REFERS TO  BATCH  NUMBER         
         2, SF2 TO BATCH 3, ETC.                                                
                                                                                
                                                                                
                                                                                
   * FVAR OSF, FV(2), FV(3), ...                                                
   -----------------------------                                                
                                                                                
                 OSF = OVERALL SCALE FACTOR.  TO FIX IT, ADD  100;  THE         
         DEFAULT SETTING IS 1, I.E. REFINE STARTING AT 1.  WHEN ONLY  A         
         SMALL PERCENTAGE OF THE SCATTERING POWER HAS BEEN LOCATED,  IT         
         IS BETTER TO REFINE WITH THE OVERALL  SCALE  FACTOR  FIXED  AT         
         1.0 (FVAR 101), HAVING FIRST PUT THE DATA ON AN  APPROXIMATELY         
         ABSOLUTE SCALE USING MERG.  THIS  PROCEDURE  IS  ESSENTIAL  IF         
         THE SIM WEIGHTING  SCHEME  (FMAP  5)  IS  TO  BE  USED  FOR  A         
         DIFFERENCE ELECTRON DENSITY MAP.  FV(2) =  'FREE  VARIABLE'  2         
         ETC.  THE 'FREE VARIABLES' ARE USED TO  APPLY  CONSTRAINTS  TO         
         THE  ATOMIC  COORDINATES,  SITE    OCCUPATION    FACTORS    OR         
         TEMPERATURE FACTORS.  TO FIX A  FREE  VARIABLE,  ADD  10  (THE         
         CRYSTAL 'SIZE' AND EXTINCTION PARAMETERS MAY NOT BE FIXED).            
                                                                                
                 EXTRA 'FVAR' (AND 'ILSF')  CARDS  ADD  FREE  VARIABLES         
         (AND INTER-LAYER SCALE FACTORS) TO THE EXISTING  LIST(S),  AND         
         MAY BE USED INSTEAD OF CONTINUATION CARDS.                             
                                                                                
                                                                                
                                                                                
   * 'ATOM CARDS'                                                               
   --------------                                                               
                                                                                
                 THESE ARE CARDS  STARTING  WITH  ANY  FOUR  CHARACTERS         
         WHICH DO NOT FORM ANOTHER INSTRUCTION.  THE FOUR CHARACTERS  -         
         ANY OF WHICH MAY BE SPACES - ARE  USED  AS  THE  NAME  OF  THE         
         ATOM.  ISOTROPIC AND ANISOTROPIC ATOMS  ARE  DISTINGUISHED  BY         
         THE NUMBER OF TEMPERATURE FACTOR COMPONENTS, AND MAY BE  GIVEN         
         IN ANY ORDER.                                                          
                                                                                
         ISOTROPIC - NAME (4 CHARACTERS), TYPE, X/A, Y/B, Z/C,  S.O.F.,         
         U                                                                      
                                                                                
         ANISOTROPIC - NAME, TYPE, X/A, Y/B,  Z/C,  S.O.F.,  U11,  U22,         
         U33, U23, U13, U12                                                     
                                                                                
         AN ATOM OF TYPE N HAS THE NTH SCATTERING FACTOR ON THE  'SFAC'         
         CARD(S).  TO FIX ANY PARAMETER ON  AN  'ATOM  CARD',  ADD  10.         
         THUS THE SITE OCCUPATION FACTOR (S.O.F.) IS NORMALLY GIVEN  AS         
         11 (I.E. FIXED AT 1).  THE SITE OCCUPATION FACTOR FOR AN  ATOM         
         IN A SPECIAL POSITION SHOULD  BE  DIVIDED  BY  THE  NUMBER  OF         
         ATOMS IN A GENERAL POSITION WHICH HAVE COALESCED TO  GIVE  THE         
         ATOM IN A SPECIAL POSITION.  THUS AN ATOM ON A  TWO-FOLD  AXIS         
         WILL USUALLY HAVE S.O.F. = 10.5.  IF  ANY  ATOM  PARAMETER  IS         
         GIVEN AS (10*M+P), WHERE ABS(P) IS LESS THAN 5  AND  M  IS  AN         
         INTEGER, IT IS INTERPRETED AS P*FV(M) (NOTE THAT THERE  IS  NO         
         FV(1), SINCE THIS WOULD BE CONFUSED WITH FIXING AN ATOM).   IF         
         M IS NEGATIVE, THE PARAMETER IS INTERPRETED AS   P*(FV(-M)-1).         
         IF BOTH S.O.F. AND U ARE OMITTED, THEY ARE SET TO 11 AND  0.05         
         RESPECTIVELY.                                                          
                                                                                
                   THERE  MAY  NOT  BE  MORE  THAN  160  ATOMS  IN  THE         
         ASYMMETRIC UNIT.                                                       
                                                                                
                                                                                
                                                                                
   ANIS N                                                                       
   ------                                                                       
                                                                                
                 MAKE THE NEXT N  ISOTROPIC  ATOMS  ANISOTROPIC.    THE         
         ISOTROPIC ATOMS MAY  BE  INTERSPERSED  WITH  ATOMS  WHICH  ARE         
         ALREADY ANISOTROPIC.  IF  THE  ISOTROPIC  TEMPERATURE  FACTORS         
         ARE FIXED (E.G. 10.05) OR TIED TO FREE  VARIABLES,  EQUIVALENT         
         CONSTRAINTS WILL BE APPLIED  TO  THE  ANISOTROPIC  TEMPERATURE         
         FACTOR COMPONENTS.  THIS  INSTRUCTION  DOES  NOT  SET  UP  THE         
         CONSTRAINTS  ON  ANISOTROPIC  TEMPERATURE  FACTOR   COMPONENTS         
         REQUIRED FOR SPECIAL POSITIONS.                                        
                                                                                
                                                                                
                                                                                
   AFIX MN                                                                      
   -------                                                                      
                                                                                
                 THIS APPLIES CONSTRAINTS TO ALL ATOMS UNTIL  THE  NEXT         
         'AFIX' CARD IS READ.    M  REFERS  TO  GEOMETRICAL  OPERATIONS         
         BEFORE THE  FIRST  REFINEMENT  CYCLE,  AND  N  TO  CONSTRAINTS         
         DURING  LEAST-SQUARES  REFINEMENT.    ALL   ATOMS    INVOLVED,         
         INCLUDING NEIGHBOURING ATOMS FOR M = 1-4, MUST BE IN THE  SAME         
         ASYMMETRIC UNIT; THIS  ROUTINE  DOES  NOT  APPLY  SPACE  GROUP         
         SYMMETRY (IF IT DID, IT WOULD BE MUCH SLOWER).  THE  PROCEDURE         
         FOR FITTING A REGULAR HEXAGON OR PENTAGON TO A GROUP OF  ATOMS         
         ASSUMES THAT THEY ARE GIVEN IN CYCLIC ORDER.                           
                                                                                
         M = 0 - NO ACTION.                                                     
                                                                                
         M = 1 - TERTIARY CH GROUP.                                             
                                                                                
         M = 2 - SECONDARY CH2 GROUP.                                           
                                                                                
         M = 3 - PRIMARY CH3 GROUP.                                             
                                                                                
         M = 4 - BENZENE TYPE CH.  EACH OF THESE AFIX CARDS  SHOULD  BE         
         FOLLOWED BY THE APPROPRIATE NUMBER OF H ATOM CARDS WITH  DUMMY         
         CO-ORDINATES,  WHICH  WILL  BE  REPLACED    BY    CO-ORDINATES         
         CALCULATED GEOMETRICALLY  FROM  THE  POSITIONS  OF  THE  OTHER         
         RELEVANT ATOMS, WHICH MUST ALL BE IN THE SAME ASYMMETRIC UNIT.         
                                                                                
         M = 5 - THE NEXT  FIVE  ATOMS  ARE  TO  BE  CONVERTED  INTO  A         
         REGULAR PENTAGON.                                                      
                                                                                
         M = 6 - THE NEXT SIX ATOMS ARE TO BE CONVERTED INTO A  REGULAR         
         HEXAGON.  APPROXIMATE CO-ORDINATES MUST BE GIVEN FOR  ALL  SIX         
         ATOMS.                                                                 
                                                                                
         M = 7 - THE FOLLOWING SIX ATOMS ARE TO  BE  CONVERTED  INTO  A         
         REGULAR HEXAGON, BUT ONLY THE  CO-ORDINATES  FROM  THE  FIRST,         
         THIRD AND FIFTH ATOMS ARE ACTUALLY USED IN THE  CALCULATION  -         
         THE OTHERS MAY BE GIVEN AS ZERO.   THE  BOND  LENGTHS  IN  THE         
         PENTAGON OR HEXAGON MAY BE CHANGED FROM THEIR  DEFAULT  VALUES         
         (1.42 AND 1.395 RESPECTIVELY) BY USE OF THE 'BOND' CARD.               
                                                                                
         M = 8 - IF USED, MUST FOLLOW IMMEDIATELY A GROUP  OF  FIVE  OR         
         SIX ATOMS SET UP BY M = 5, 6 OR 7 -  ADDS  UP  TO  6  HYDROGEN         
         ATOMS CYCLICLY TO THE RING, DEFINED AS  BY  M  =  4,  STARTING         
         WITH THE FIRST RING ATOM (SO FOR A PHENYL GROUP,  IT  IS  BEST         
         TO GIVE THE CARBON NOT BONDED TO HYDROGEN LAST).    THIS  AFIX         
         CARD IS THEN FOLLOWED BY THE APPROPRIATE  NUMBER  OF  HYDROGEN         
         ATOMS, WITH DUMMY COORDINATES.                                         
                                                                                
         N = 0 - NO ACTION.                                                     
                                                                                
         N = 1 - FIX ATOM.                                                      
                                                                                
         N = 2 - FIX S.O.F. AND UIJ ONLY.                                       
                                                                                
         N = 3 - RIDE, WITH S.O.F. AND UIJ  FREE,  ON  PREVIOUS  NORMAL         
         ATOM (A NORMAL ATOM HAS N = 0, 1, 2 OR 6).                             
                                                                                
         N = 4 - RIDE ON PREVIOUS NORMAL  ATOM,  S.O.F.  AND  UIJ  ALSO         
         RIDING (BOTH ATOMS MUST BE ISOTROPIC).                                 
                                                                                
         N = 5 - ATOM IN A RIGID GROUP.                                         
                                                                                
         N = 6 - FIRST (I.E.  PIVOT)  ATOM  IN  A  RIGID  GROUP.    THE         
         POSITIONAL PARAMETERS OF SUBSEQUENT ATOMS  IN  'FIXED  GROUPS'         
         MUST NOT BE FURTHER FIXED OR TIED IN ANY WAY,  BUT  THERE  ARE         
         NO RESTRICTIONS ON THE USE OF SITE OCCUPATION AND  TEMPERATURE         
         FACTORS.                                                               
                                                                                
                 FOR THE PIVOT ATOM ONLY, CONSTRAINTS  MAY  BE  APPLIED         
         TO THE POSITIONAL PARAMETERS BY  ADDING  10  (TO  FIX)  OR  BY         
         TIEING THEM TO A FREE VARIABLE IN THE USUAL WAY.    THE  PIVOT         
         ATOM, BUT NOT THE SUBSEQUENT ATOMS IN THE RIGID GROUP, MAY  BE         
         REFERENCED BY A DFIX CARD.                                             
                                                                                
                                                                                
                                                                                
   BLOC N1, N2, ...                                                             
   ----------------                                                             
                                                                                
                 CYCLE NUMBERS (IF ANY) IN WHICH  THE  FOLLOWING  ATOMS         
         (UNTIL THE NEXT BLOC CARD) ARE TO BE REFINED (SUBJECT TO  AFIX         
         AND ANY OTHER CONSTRAINTS).    BEFORE  THE  FIRST  BLOC  CARD,         
         PARAMETERS MAY REFINE IN EVERY CYCLE.   THE  BLOC  INSTRUCTION         
         OPERATES INDEPENDENTLY AND IN ADDITION TO AFIX AND  DFIX:  THE         
         ONLY RESTRICTION IS THAT BLOC MAY NOT BISECT  A  RIGID  GROUP.         
         BLOC FORCES NEGATIVE NLS ON THE L.S. CARD, BECAUSE THE  MATRIX         
         CANNOT BE RETAINED IF IT CONTAINS  DIFFERENT  PARAMETERS  EACH         
         CYCLE.    BLOC  ALSO  FORCES  THE  USE  OF  DIAGONAL  STANDARD         
         DEVIATION ESTIMATES INSTEAD OF THE  FULL  MATRIX  VALUES:  FOR         
         PARAMETERS WHICH REFINE IN MORE THAN  ONE  CYCLE,  THE  E.S.D.         
         PRINTED AND USED IN ESTIMATING  STANDARD  DEVIATIONS  IN  BOND         
         LENGTHS AND ANGLES IS TAKEN FROM THE LAST CYCLE IN  WHICH  THE         
         CORRESPONDING PARAMETER WAS REFINED.  NOTE THAT  SUCH  E.S.D'S         
         ARE APPROXIMATE, AND MAY SOMETIMES NOT BE ZERO EVEN  WHEN  THE         
         LEAST-SQUARES CONSTRAINTS FIX THE  BOND  LENGTH  OR  ANGLE  IN         
         QUESTION.  AFTER REACHING THE MAXIMUM CYCLE  NUMBER  GIVEN  ON         
         ANY BLOC CARD, THE BLOC REFINEMENT SEQUENCE IS REPEATED  UNTIL         
         NLS CYCLES HAVE BEEN PERFORMED.   THE  MAXIMUM  ALLOWED  CYCLE         
         NUMBER ON A BLOC CARD IS 14, BUT NLS  ON  THE  L.S.  CARD  MAY         
         TAKE ANY VALUE.                                                        
                                                                                
                                                                                
                                                                                
   UNDO M1, M2, ...                                                             
   ----------------                                                             
                                                                                
                 UNTIES 'FREE VARIABLES' M1, M2, ... FROM ALL  PREVIOUS         
         ATOMS.  THIS IS PARTICULARLY CONVENIENT FOR FREEING  ISOTROPIC         
         TEMPERATURE FACTORS WHICH HAVE BEEN CONSTRAINED  TO  BE  EQUAL         
         IN  THE  EARLY  STAGES  OF  REFINEMENT.    IF  M1  =  -1,  ALL         
         POSITIONAL PARAMETERS GIVEN SO FAR  ARE  INVERTED  (FIXED  AND         
         TIED PARAMETERS ARE CORRECTLY DEALT WITH).    THIS  IS  USEFUL         
         FOR INVESTIGATING ABSOLUTE CONFIGURATION.                              
                                                                                
   * DFIX R,SIGMA,N1,M1,N2,M2,...                                               
   ------------------------------                                               
                                                                                
                 THIS APPLIES A BOND LENGTH CONSTRAINT.  N AND M  REFER         
         TO THE PAIRS OF ATOMS INVOLVED, WHICH  MUST  BE  IN  THE  SAME         
         ASYMMETRIC UNIT.  SIGMA IS THE ESTIMATED ESD, E.G. 0.001.    R         
         IS THE BOND LENGTH (IF FIXED). R = 21 SETS  IT  TO  ONE  TIMES         
         FREE VARIABLE 2 (WHICH MAY BE REFINED) ETC.    FREE  VARIABLES         
         MAY BE USED IN THE USUAL WAY.   'DFIX'  CARDS  MUST  BE  GIVEN         
         AFTER ALL ATOM CARDS.                                                  
                                                                                
                                                                                
                                                                                
   END  N                                                                       
   ------                                                                       
                                                                                
                 THIS TRANSFERS CONTROL FROM  THE  PRESENT  INSTRUCTION         
         STREAM TO UNIT N,  WHICH  MAY  FOR  EXAMPLE  BE  A  DISC  FILE         
         CONTAINING ATOM CARDS OUTPUT BY A PREVIOUS JOB.                        
                                                                                
   * END                                                                        
   -----                                                                        
                                                                                
                 THIS MUST BE THE LAST INSTRUCTION CARD.                        
                                                                                
