                 1. INTRODUCTION                                                
                 ---------------                                                
                                                                                
                                                                                
                    BEFORE  ATTEMPTING  TO  USE  THIS  PROGRAM,  IT  IS         
         ESSENTIAL TO READ CHAPTERS 2, 3, 5 AND 6.                              
                                                                                
                     THIS  IS  AN  INTEGRATED  PROGRAM  FOR  PERFORMING         
         CRYSTALLOGRAPHIC CALCULATIONS SIMPLY AND  EFFICIENTLY,  WHILST         
         NOT  ATTEMPTING  TO  USURP  THE  CRYSTALLOGRAPHER'S   DECISION         
         MAKING ROLE.    THE  PROGRAM  HAS  BEEN  HIGHLY  OPTIMISED  TO         
         MINIMISE COMPUTER  TIME,  CORE  STORE,  AND  THE  QUANTITY  OF         
         INPUT/OUTPUT.  IT  IS  WRITTEN  IN  A  SIMPLE  SUBSET  OF  ASA         
         FORTRAN, AND CAN BE RUN  ON  ALL  MAJOR  COMPUTERS  WITH  ONLY         
         TRIVIAL ALTERATIONS.   THE  CALCULATIONS  ARE  VALID  FOR  ALL         
         SPACE  GROUPS,  AND  THERE  IS  NO  LIMIT  ON  THE  NUMBER  OF         
         REFLEXIONS.  FACILITIES INCLUDE:                                       
                                                                                
         * ALL INSTRUCTIONS IN MACHINE INDEPENDENT FREE FORMAT.                 
                                                                                
         * DATA REDUCTION, INCLUDING NUMERICAL  ABSORPTION  CORRECTIONS         
         WITH CRYSTAL PLOTS.                                                    
                                                                                
         * REJECTION    OF    SYSTEMATIC    ABSENCES,     LEAST-SQUARES         
         DETERMINATION  OF  INTER-BATCH  SCALE  FACTORS,  AVERAGING  OF         
         EQUIVALENT REFLEXIONS.                                                 
                                                                                
         * FAST AUTOMATIC CENTROSYMMETRIC DIRECT METHODS.                       
                                                                                
         * FLEXIBLE MULTISOLUTION  TANGENT  REFINEMENT  FOR  ANY  SPACE         
         GROUP,  STARTING  FROM  PHASE  PERMUTATIONS  AND/OR    PARTIAL         
         STRUCTURES, INCLUDING CONVERGENCE MAP.                                 
                                                                                
         * FULL-MATRIX,  'ACCELERATED   FULL-MATRIX'    AND    'BLOCKED         
         FULL-MATRIX' LEAST-SQUARES REFINEMENTS.                                
                                                                                
         * RIGID GROUP LOCATION AND REFINEMENT.  GEOMETRIC  POSITIONING         
         AND CONSTRAINED REFINEMENT OF HYDROGEN  ATOMS.    BOND  LENGTH         
         CONSTRAINTS AND REFINEMENT.                                            
                                                                                
         * REFINEMENT OF ISOTROPIC  EXTINCTION  AND  CRYSTAL  SIZE  (TO         
         CHECK ABSORPTION CORRECTIONS).                                         
                                                                                
         * ANALYSIS  OF  VARIANCE  AND  AUTOMATIC    OPTIMISATION    OF         
         WEIGHTING SCHEME.                                                      
                                                                                
         * VARIOUS  FOURIER  SYNTHESES,  WITH  PEAK  SEARCH.     UNIQUE         
         MOLECULE  ASSEMBLY  FROM  ATOMS  AND/OR  FOURIER  PEAKS,  WITH         
         LINEPRINTER 'PLOTS'.                                                   
                                                                                
         * STRUCTURE FACTOR LISTS FOR PUBLICATION.                              
                                                                                
                 2. GENERAL ORGANISATION                                        
                 -----------------------                                        
                                                                                
                                                                                
         THE DEFAULT SETTINGS FOR THE LOGICAL UNIT NUMBERS ARE AS FOLLOWS:
                                                                               
         5 INSTRUCTION CARDS (OR FILE ETC).                                     
                                                                                
         1 RAW INTENSITY DATA, E.G. FROM MAGNETIC TAPE  (USED  ONLY  IN         
         DATA REDUCTION JOBS).  ALTERNATIVELY THE  INTENSITY  DATA  MAY         
         BE INPUT AS PART OF UNIT 5, E.G. ON CARDS, IN WHICH CASE  UNIT         
         1 IS NOT REQUIRED.  FOR DATA FORMATS SEE HKLF IN CHAPTER 4.            
                                                                                
         6 LINEPRINTER.                                                         
                                                                                
         7 CARDPUNCH  (OR  FILE  ETC.),  FOR  OUTPUT  OF  REFINED  ATOM         
         COORDINATES, CONDENSED DATA  ETC.,  IN  A  FORM  SUITABLE  FOR         
         REINPUT TO THE NEXT JOB.                                               
                                                                                
         2, 4, 8 SCRATCH BINARY DISC FILES (COULD BE MAGNETIC TAPES  IF         
         NECESSARY).  UNIT 8 IS ONLY REQUIRED FOR DIRECT METHODS.               
                                                                                
         3 REFLEXION DATA FILE OR TAPE: PERMANENT OR SCRATCH.                   
                                                                                
                 UNITS 2, 3 AND 8  SHOULD  NOT  BE  THE  SAME  PHYSICAL         
         MAGNETIC  TAPE  SINCE  THEY  MAY   BE    READ    OR    WRITTEN         
         SIMULTANEOUSLY.  ALL FILES ARE READ/WRITTEN SEQUENTIALLY.              
                                                                                
                 THE MAJOR POLICY  DECISION  REQUIRED  IS  WHETHER  THE         
         REFLEXION DATA FILE (3) SHOULD BE A  PERMANENT  DISC  FILE  OR         
         MAGNETIC TAPE (ABOUT 6 WORDS ARE REQUIRED PER  REFLEXION),  OR         
         WHETHER IT SHOULD BE A SCRATCH FILE,  'CONDENSED  DATA'  CARDS         
         BEING GENERATED IN THE DATA REDUCTION  JOB  AND  REINPUT  EACH         
         SUBSEQUENT  JOB.    CONDENSED  DATA  CARDS  ALSO  PROVIDE    A         
         CONVENIENT  METHOD  OF  ARCHIVING  DATA  FOR    A    COMPLETED         
         STRUCTURE;  THEY ARE COMPACT (ABOUT 9  UNIQUE  REFLEXIONS  PER         
         CARD), BUT REQUIRE E-VALUES TO BE REGENERATED.                         
                                                                                
